
<script setup>
import { onLaunch, onShow, onError,onHide } from '@dcloudio/uni-app';
import { ShoproInit } from './sheep';
import { autoSign,cancelAutoSign,resetSignStatusIfNeeded } from './sheep/hooks/useModal';



onShow((options) => {
  // console.log("页面打开开始自动签到")
  autoSign()
  // #ifdef APP-PLUS
  // 获取urlSchemes参数
  const args = plus.runtime.arguments;
  if (args) {
  }

  // 获取剪贴板
  uni.getClipboardData({
    success: (res) => { },
  });
  // #endif

  // #ifdef MP-WEIXIN
  // 确认收货回调结果
  // console.log(options, 'options');
  // #endif
});
onHide(()=>{
	// console.log("页面隐藏了,取消自动签到");
	cancelAutoSign()
});

onLaunch(() => {
  // 隐藏原生导航栏 使用自定义底部导航
  uni.hideTabBar();
  
  // 加载Shopro底层依赖
  ShoproInit();
  // 每天凌晨重置签到状态
  resetSignStatusIfNeeded();
});

onError((err) => {
  console.log('AppOnError:', err);
});
</script>

<style lang="scss">
@import '@/sheep/scss/index.scss';
</style>
